﻿@model IEnumerable<EM.Domain.Entities.Evenement>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_CustomLayout.cshtml";
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Events</title>
</head>
<body border="2">
    
    <table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Picture)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Theme)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Location)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.StartDate)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.EndDate)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Tenant)
            </th>
            <th></th>
        </tr>
    
    @foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @{
                    string path = "~/Content/Upload/" + @item.Picture;
                }
                <img src="@Url.Content(path)" width="80" height="80" />
            </td>

            <td>
                @Html.DisplayFor(modelItem => item.Theme)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Location)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.StartDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.EndDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Tenant.TenantName)
            </td>
            <td>
               
                @Html.ActionLink("Details", "Details", new { id = item.EventId })
            
            </td>
        </tr>
    }
    
    </table>
</body>
</html>
